/*!
 * HotPocket by BTHLabs (https://hotpocket.app/)
 * Copyright 2025-present BTHLabs <contact@bthlabs.pl> (https://bthlabs.pl/)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
((HotPocket) => {
  class HotPocketUIFormPlugin {
    constructor (app) {
    }
    onLoad (event) {
      for (let cancelButton of document.querySelectorAll('.ui-form-cancel-button')) {
        cancelButton.addEventListener('click', this.onCancelButtonClick);
      }
    }
    onCancelButtonClick = (event) => {
      event.stopPropagation();
      event.preventDefault();

      window.history.back();

      return false;
    };
  }

  HotPocket.addPlugin('UI.Form', (app) => {
    return new HotPocketUIFormPlugin(app);
  });
})(window.HotPocket);
